#
# Put a nologin file in /etc to prevent people from logging in before
# system startup is complete.
#

# This will contain nothing if the filesystem is mounted readonly:
READONLY_FS="`grep /dev/root /proc/mounts | cut -f4 -d' ' | grep rw`"

if [ "$DELAYLOGIN" = yes ] && [ "$READONLY_FS" = "rw" ]; then
  echo "System bootup in progress - please wait" >/etc/nologin
  cp /etc/nologin "/etc/nologin.boot"
fi

#
# Clean up /var/run and create /var/run/utmp so that we can login.
#
: > /var/run/utmp


#
# Set pseudo-terminal access permissions.
# This probably isn't necessary since we no longer generate /dev
# on the fly...
#chmod 666 /dev/tty[p-za-e][0-9a-f]
#chown root /dev/tty[p-za-e][0-9a-f]
#chgrp tty  /dev/tty[p-za-e][0-9a-f]
#chmod 777 /dev/ttyS0

#
# Update /etc/motd.
# THIS CANNOT BE DONE IF FILESYSTEM IS READ-ONLY
exit 0

	# n1=$(cat /proc/sys/kernel/hostname;\
	# cat /proc/sys/kernel/osrelease; \
	# cat /proc/sys/kernel/version)
	echo "" > /etc/motd
	cat /etc/version >> /etc/motd
     	echo "Some code contained herein copyright EMAC, Inc. 2001" >> /etc/motd
	echo >> /etc/motd	

 	cat /etc/version > /etc/issue
	echo "\n on \l" >> /etc/issue
	echo "" >> /etc/issue

	cat /etc/version > /etc/issue
	echo "%h, %d on %t" >> /etc/issue.net
	echo "" >> /etc/issue.net
