#!/bin/bash
#
#	Initializes the serial ports on your system
#
# Distributed with setserial version 2.12
#

STD_FLAGS="autoconfig session_lockout ^fourport spd_vhi"

SETSERIAL=/bin/setserial

echo -n "Configuring serial ports.... "

${SETSERIAL} -b  /dev/ttyS0 port 0x3F8 irq 4 ${STD_FLAGS}
${SETSERIAL} -b  /dev/ttyS1 port 0x2F8 irq 3 ${STD_FLAGS}
${SETSERIAL} -b /dev/ttyS2 port 0x3E8 irq 5 ${STD_FLAGS}
${SETSERIAL} -b /dev/ttyS3 port 0x2E8 irq 11 ${STD_FLAGS}

echo "done."
